VOOZH about

URL: https://developers.openai.com/api/reference/resources/conversations/methods/create

⇱ Create a conversation | OpenAI API Reference


Skip to content

Create a conversation

POST/conversations

Create a conversation.

Body ParametersJSONExpand Collapse
metadata: optional Metadata

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

ReturnsExpand Collapse

Create a conversation

curl https://api.openai.com/v1/conversations \
 -H "Content-Type: application/json" \
 -H "Authorization: Bearer $OPENAI_API_KEY" \
 -d '{
 "metadata": {"topic": "demo"},
 "items": [
 {
 "type": "message",
 "role": "user",
 "content": "Hello!"
 }
 ]
 }'
{
 "id": "conv_123",
 "object": "conversation",
 "created_at": 1741900000,
 "metadata": {"topic": "demo"}
}
Returns Examples
{
 "id": "conv_123",
 "object": "conversation",
 "created_at": 1741900000,
 "metadata": {"topic": "demo"}
}